--[[----------------------------------------------------------------------------

This Any Filter Code criterion script returns true if the current photo 
has a capture date taken on today's month in any year.

Referenced fields: DateTimeOriginalCapture
------------------------------------------------------------------------------]]

local LrDate = import "LrDate"
local captureMonth = (DateTimeOriginalCapture or ""):sub (6, 7)
local todaysMonth = LrDate.timeToUserFormat (LrDate.currentTime (), "%m")
return captureMonth == todaysMonth